# MSP::CCS::AzimuthalEquidistant Class Reference

`#include <AzimuthalEquidistant.h>`

Inheritance diagram for MSP::CCS::AzimuthalEquidistant:

List of all members.

## Public Member Functions

| AzimuthalEquidistant (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double falseEasting, double falseNorthing)
| AzimuthalEquidistant (const AzimuthalEquidistant &ae)
| ~AzimuthalEquidistant (void)
AzimuthalEquidistant & | operator= (const AzimuthalEquidistant &ae)
MapProjection4Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 102 of file AzimuthalEquidistant.h.

## Constructor & Destructor Documentation

AzimuthalEquidistant::AzimuthalEquidistant | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 124 of file AzimuthalEquidistant.cpp.

AzimuthalEquidistant::AzimuthalEquidistant | ( | const AzimuthalEquidistant & | ae | ) |

Definition at line 234 of file AzimuthalEquidistant.cpp.

AzimuthalEquidistant::~AzimuthalEquidistant | ( | void |  | ) |

Definition at line 251 of file AzimuthalEquidistant.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * AzimuthalEquidistant::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 300 of file AzimuthalEquidistant.cpp.

MSP::CCS::GeodeticCoordinates * AzimuthalEquidistant::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 424 of file AzimuthalEquidistant.cpp.

MapProjection4Parameters * AzimuthalEquidistant::getParameters | ( |  | ) | const

Definition at line 278 of file AzimuthalEquidistant.cpp.

AzimuthalEquidistant & AzimuthalEquidistant::operator= | ( | const AzimuthalEquidistant & | ae | ) |

Definition at line 256 of file AzimuthalEquidistant.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/azeq/AzimuthalEquidistant.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/azeq/AzimuthalEquidistant.cpp